Bug 21261 - Anaconda code error trying to open the install log
Anaconda code error trying to open the install log
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-22 14:51 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 14:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-22 14:51:56 EST
Your dump:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line
20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1526, in
doInstall
    self.instLog = open(self.instLogName, "w+")
IOError: [Errno 2] No such file or directory:
'/mnt/sysimage/tmp/upgrade.log'

Local variables in innermost frame:
arch: i386
total: 406
msg: File exists
logname: /tmp/upgrade.log
i: /etc/X11
p: wmconfig
l: [anacron, apache, apmd, ash, aspell, at, audiofile, audiofile-devel,
aumix, authconfig, autoconf, automake, awesfx, basesystem, bash, bc,
bdflush, bind-utils, binutils, bison, byacc, bzip2, cdecl, cdp, chkconfig,
chkfontpath, compat-egcs, compat-egcs-c++, console-tools, control-center,
control-panel, cpio, cpp, cproto, cracklib, cracklib-dicts, crontabs,
ctags, cvs, cyrus-sasl, db1, db1-devel, db2, db3, desktop-backgrounds, dev,
dev86, dhcpcd, dialog, diffutils, dip, e2fsprogs, ed, ee, eject,
ElectricFence, elm, esound, esound-devel, exmh, expect, extace, fetchmail,
file, filesystem, fileutils, findutils, finger, finger-server, fortune-mod,
freetype, ftp, gawk, gcc, gcc-c++, gd, gd-devel, gdb, gdbm, gdbm-devel,
gdk-pixbuf, gdm, gedit, gettext, gftp, ghostscript, ghostscript-fonts,
gimp, gimp-devel, glib, glib-devel, glibc, glibc-devel, gmc, gmp,
gnome-audio, gnome-audio-extra, gnome-core, gnome-libs, gnome-linuxconf,
gnome-media, gnome-pim, gnome-print, gnome-users-guide, gnome-utils,
gnorpm, gnotepad+, gnumeric, gnupg, gpm, gpm-devel, gqview, grep, groff,
groff-perl, gtk+, gtk+-devel, gtk-engines, gtop, guile, gv, gzip, hdparm,
ical, ImageMagick, imlib, imlib-cfgeditor, indexhtml, inews, info,
initscripts, ipchains, iputils, isapnptools, kbdconfig, kdebase,
kdegraphics, kdelibs, kdelibs-devel, kdemultimedia, kdenetwork,
kdesupport-devel, kdeutils, kernel, kernel-headers, kernel-pcmcia-cs,
kernel-smp, kernel-source, kernel-utils, kernelcfg, kgcc, kpppload,
krb5-libs, kudzu, less, libghttp, libglade, libgtop, libjpeg,
libjpeg-devel, libpng, libpng-devel, librep, libstdc++, libstdc++-devel,
libtermcap, libtermcap-devel, libtiff, libtiff-devel, libtool-libs,
libungif, libungif-devel, libxml, libxml-devel, lilo, linuxconf,
linuxconf-devel, logrotate, losetup, LPRng, lrzsz, lynx, m4, mailcap,
mailx, make, MAKEDEV, man, man-pages, mc, Mesa, metamail, mikmod, mingetty,
minicom, mkbootdisk, mkinitrd, mktemp, mkxauth, modemtool, modutils, mount,
mouseconfig, mpage, mpg123, mt-st, mtools, multimedia, mutt, ncftp,
ncompress, ncurses, ncurses-devel, ncurses4, net-tools, netcfg, netpbm,
netpbm-devel, netpbm-progs, newt, newt-devel, nfs-utils, nmh, ntsysv,
openldap, openssl, ORBit, pam, passwd, patch, pciutils, perl, pilot-link,
pilot-link-devel, pine, playmidi, playmidi-X11, pmake, popt, portmap, ppp,
printtool, procmail, procps, psmisc, pspell, pump, pwdb, pygnome-libglade,
pygtk-libglade, python, python-devel, pythonlib, qt-devel, qt1x,
qt1x-devel, quota, raidtools, rcs, rdate, rdist, readline, readline-devel,
redhat-logos, redhat-release, rep-gtk, rep-gtk-gnome, rhs-printfilters,
rmt, rootfiles, rp3, rpm, rpm-build, rpm-devel, rsh, rsh-server, rusers,
rusers-server, rwho, rxvt, samba, samba-client, samba-common, sane, sash,
sawfish, SDL, sed, sendmail, setserial, setup, setuptool, sh-utils,
shadow-utils, sharutils, slang, slang-devel, slocate, slrn, sndconfig, sox,
stat, statserial, strace, switchdesk, switchdesk-gnome, sysklogd, SysVinit,
talk, talk-server, tar, tcl, tclx, tcp_wrappers, tcpdump, tcsh, telnet,
telnet-server, termcap, tetex, tetex-fonts, tetex-xdvi, texinfo, textutils,
tftp-server, time, timeconfig, timetool, tin, tix, tk, tkinter, tksysv,
tmpwatch, traceroute, trn, umb-scheme, unzip, urlview, urw-fonts, usermode,
utempter, util-linux, vim-common, vim-minimal, vixie-cron, which, whois,
words, wu-ftpd, wvdial, Xaw3d, Xaw3d-devel, xchat, XFree86,
XFree86-100dpi-fonts, XFree86-75dpi-fonts, XFree86-devel, XFree86-libs,
XFree86-tools, XFree86-xfs, xinetd, xinitrc, xloadimage, xmailbox, xmms,
xmorph, xpaint, xpdf, xrn, xscreensaver, xsri, xxgdb, yp-tools, ypbind,
zip, zlib, zlib-devel, autofs, db2-devel, db3-devel, db3-utils,
enlightenment, fnlib, freetype-devel, freetype-utils, fvwm2, fvwm2-icons,
getty_ps, glib10, gtk+10, itcl, kdebase-lowcolor-icons, kdoc, korganizer,
kpilot, libxml10, ntp, pdksh, python-docs, readline2.2.1, routed, tftp,
timed, uucp, wmconfig]
db: <rpmdb object at 949dc58>
self: <todo.ToDo instance at 8241ea8>
how: u
errno: 17
totalSize: 936612
f: <closed file '/mnt/sysimage/etc/mtab', mode 'w+' at 8e342f0>
ts: <rpmtrans object at 9681b98>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>
Comment 1 Michael Fulbright 2000-11-29 15:31:38 EST
Is /tmp a symlink on your system?
Comment 2 Michael Fulbright 2000-12-19 14:53:46 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.